# Uses of Interface
org.opensaml.soap.wssecurity.UsernameToken

Packages that use UsernameToken
Package
Description
org.opensaml.soap.wssecurity.impl
XML Object provider implementations for WS-Security.

## Uses of UsernameToken in org.opensaml.soap.wssecurity.impl

Classes in org.opensaml.soap.wssecurity.impl that implement UsernameToken
Modifier and Type
Class
Description
`class`
`UsernameTokenImpl`
Implementation of `UsernameToken`.
Methods in org.opensaml.soap.wssecurity.impl that return UsernameToken
Modifier and Type
Method
Description
`UsernameToken`
UsernameTokenBuilder.`buildObject()`
Builds a WS-Security object of the given type.
`UsernameToken`
UsernameTokenBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.